Package org.apache.activemq.artemis.reader

## Class StreamMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.StreamMessageUtil

-     public class StreamMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CONNECTION_ID_PROPERTY_NAME_STRING, CORRELATIONID_HEADER_NAME, CORRELATIONID_HEADER_NAME_STRING, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, JMSXGROUPSEQ, JMSXUSERID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME, TYPE_HEADER_NAME_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamMessageUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `streamReadBoolean​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` | Method to read boolean values out of the Stream protocol existent on JMS Stream Messages Throws IllegalStateException if the type was invalid
    `static byte` | `streamReadByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static org.apache.activemq.artemis.api.core.Pair<java.lang.Integer,​java.lang.Integer>` | `streamReadBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff, int remainingBytes, byte[] value)` | Utility for reading bytes out of streaming.
    `static char` | `streamReadChar​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static double` | `streamReadDouble​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static float` | `streamReadFloat​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static int` | `streamReadInteger​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static long` | `streamReadLong​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static java.lang.Object` | `streamReadObject​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static short` | `streamReadShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |
    `static java.lang.String` | `streamReadString​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)` |

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getStringProperty, propertyExists, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSReplyTo, setJMSType, setLongProperty, setObjectProperty, setStringProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamMessageUtil

          public StreamMessageUtil()

  - ### Method Detail

    - #### streamReadBoolean

          public static boolean streamReadBoolean​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

      Method to read boolean values out of the Stream protocol existent on JMS Stream Messages Throws IllegalStateException if the type was invalid
      Parameters:
        `buff` -
      Returns:

    - #### streamReadByte

          public static byte streamReadByte​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadShort

          public static short streamReadShort​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadChar

          public static char streamReadChar​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadInteger

          public static int streamReadInteger​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadLong

          public static long streamReadLong​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadFloat

          public static float streamReadFloat​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadDouble

          public static double streamReadDouble​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadString

          public static java.lang.String streamReadString​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)

    - #### streamReadBytes

          public static org.apache.activemq.artemis.api.core.Pair<java.lang.Integer,​java.lang.Integer> streamReadBytes​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff,
                                                                                                                             int remainingBytes,
                                                                                                                             byte[] value)

      Utility for reading bytes out of streaming. It will return remainingBytes, bytesRead
      Parameters:
        `remainingBytes` - remaining Bytes from previous read. Send it to 0 if it was the first call for the message
        `buff` -
      Returns:
        a pair of remaining bytes and bytes read

    - #### streamReadObject

          public static java.lang.Object streamReadObject​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buff)